--- /dev/null	2012-07-09 14:38:12.000000000 +0000
+++ new/usr/src/uts/common/inet/dccp/dccp6ddi.c	2012-07-09 14:38:12.367197886 +0000
@@ -0,0 +1,60 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
+ * Use is subject to license terms.
+ */
+
+#include <sys/types.h>
+#include <sys/conf.h>
+#include <sys/modctl.h>
+#include <inet/common.h>
+#include <inet/ip.h>
+
+#define	INET_NAME	"dccp6"
+#define	INET_DEVSTRTAB	dccpinfov6
+#define	INET_DEVDESC	"DCCP6 STREAMS driver"
+#define	INET_DEVMINOR	0
+#define	INET_DEVMTFLAGS	(D_MP|_D_DIRECT)
+
+#include "../inetddi.c"
+
+int
+_init(void)
+{
+	/*
+	 * device initialization happens when the actual code containing
+	 * module (/kernel/drv/ip) is loaded, and driven from ip_ddi_init()
+	 */
+	return (mod_install(&modlinkage));
+}
+
+int
+_fini(void)
+{
+	return (mod_remove(&modlinkage));
+}
+
+int
+_info(struct modinfo *modinfop)
+{
+	return (mod_info(&modlinkage, modinfop));
+}
